CloseNowException (Apache Tomcat 11.0.24 API Documentation)
Description: declaration: package: org.apache.coyote, class: CloseNowException

# Class CloseNowException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.coyote.CloseNowException

All Implemented Interfaces:
  `Serializable`

public class CloseNowException extends IOException
This exception is thrown to signal to the Tomcat internals that an error has occurred that requires the connection to be closed. For multiplexed protocols such as HTTP/2, this means the channel must be closed but the connection can continue. For non-multiplexed protocols, the connection must be closed. It corresponds to `ErrorState.CLOSE_NOW`.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CloseNowException()`
  Creates a new CloseNowException with no detail message.
  `CloseNowException(String message)`
  Creates a new CloseNowException with the specified detail message.
  `CloseNowException(String message, Throwable cause)`
  Creates a new CloseNowException with the specified detail message and cause.
  `CloseNowException(Throwable cause)`
  Creates a new CloseNowException with the specified cause.

- ## Method Summary

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CloseNowException

    public CloseNowException()
    Creates a new CloseNowException with no detail message.

  - ### CloseNowException

    public CloseNowException(String message, Throwable cause)
    Creates a new CloseNowException with the specified detail message and cause.
    Parameters:
      `message` - the detail message
      `cause` - the cause

  - ### CloseNowException

    public CloseNowException(String message)
    Creates a new CloseNowException with the specified detail message.
    Parameters:
      `message` - the detail message

  - ### CloseNowException

    public CloseNowException(Throwable cause)
    Creates a new CloseNowException with the specified cause.
    Parameters:
      `cause` - the cause